aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorguy <guy@f5534014-38df-0310-8fa8-9805f1628bb7>2011-07-15 23:26:22 +0000
committerguy <guy@f5534014-38df-0310-8fa8-9805f1628bb7>2011-07-15 23:26:22 +0000
commit3c1a62b99a21333aeac9960e81410fd45c19473b (patch)
tree0069311f9495e926810238cc049e35e7507204d9
parent03f4e9e6ec8d2eafb6e977a1cdfe16120e411555 (diff)
Patch GnuTLS's pkg-config file; it says "requires zlib", but OS X, while
it supplies zlib, doesn't supply a pkgconfig file for it, so we don't want it to say "requires zlib". This script is part of the Wireshark source, so giving "download Wireshark source" as the next step doesn't make sense. git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@38055 f5534014-38df-0310-8fa8-9805f1628bb7
-rw-r--r--Makefile.am1
-rwxr-xr-xmacosx-setup.sh9
-rw-r--r--macosx-support-lib-patches/gnutls-pkgconfig.patch10
3 files changed, 19 insertions, 1 deletions
diff --git a/Makefile.am b/Makefile.am
index 910a23e742..fd9130cfbf 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -796,6 +796,7 @@ EXTRA_DIST = \
macosx-setup.sh \
macosx-support-lib-patches/glib-gconvert.patch \
macosx-support-lib-patches/glib-pkgconfig.patch \
+ macosx-support-lib-patches/gnutls-pkgconfig.patch \
make-version.pl \
manuf \
manuf.tmpl \
diff --git a/macosx-setup.sh b/macosx-setup.sh
index b75cb596d7..b062535156 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -277,6 +277,14 @@ then
#
./configure --with-libgcrypt || exit 1
make -j 3 || exit 1
+ #
+ # The pkgconfig file for GnuTLS says "requires zlib", but OS X,
+ # while it supplies zlib, doesn't supply a pkgconfig file for
+ # it.
+ #
+ # Patch the GnuTLS pkgconfig file not to require zlib.
+ #
+ patch -p0 lib/gnutls.pc <../../macosx-support-lib-patches/gnutls-pkgconfig.patch || exit 1
$DO_MAKE_INSTALL || exit 1
cd ..
fi
@@ -319,7 +327,6 @@ fi
echo ""
echo "You are now prepared to build Wireshark. To do so do:"
-echo "Download Wireshark source"
echo "./autogen.sh"
echo "./configure"
echo "make -j 3"
diff --git a/macosx-support-lib-patches/gnutls-pkgconfig.patch b/macosx-support-lib-patches/gnutls-pkgconfig.patch
new file mode 100644
index 0000000000..e599afd18a
--- /dev/null
+++ b/macosx-support-lib-patches/gnutls-pkgconfig.patch
@@ -0,0 +1,10 @@
+*** gnutls.pc.orig 2011-07-15 15:02:32.000000000 -0700
+--- gnutls.pc 2011-07-15 15:02:42.000000000 -0700
+***************
+*** 21,25 ****
+ Version: 2.12.7
+ Libs: -L${libdir} -lgnutls
+ Libs.private: -L/usr/local/lib -lgcrypt -L/usr/local/lib -lgpg-error -L/usr/local/lib -lintl -liconv -lc -R/usr/local/lib
+- Requires.private: zlib
+ Cflags: -I${includedir}
+--- 21,24 ----